Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.menu
Class PopupParamString

    java.lang.Object
      de.jsystems.tools.ParamString
          de.jsystems.framework.menu.PopupParamString

public class PopupParamString
extends ParamString

Zerlegt einen String aus der Popup-Menüpropertiesdatei in die einzelnen Bestandteile, mit denen das Popup-Menü beschrieben werden kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary

Fields inherited from class de.jsystems.tools.ParamString
`liste, trennzeichen`

Constructor Summary
`PopupParamString()` Erzeugt ein neues ParamString-Objekt fuer Strings mit dem Aufbau eines Popup-Menues.

Method Summary
`protected void` | `clear()` Löscht den Inhalt des ParamString-Objektes.
`String` | `getActionClassName()` Gibt den Actionnamen des Menüpunktes zurück.
`String` | `getCommand()` Gibt den Kommandostring des ParamStrings zurueck.
`String` | `getMenueName()` Gibt den Namen des Menüpunktes zurück.
`String` | `getMenueTitel()` Gibt den Namen des Menütitels zurück.
`String` | `getPictureName()` Gibt den Namen eines Icons zurück, das neben dem Menüpunkt angezeigt werden soll.
`void` | `init(String paramString)` Initialisiert das Objekt mit dem übergebenem Paramstring und füllt dann die einzelnen Attribute für das Popup-Menü.
`boolean` | `isSeparator()` Handelt es sich bei dem eingelesenem Menüpunkt um einen Separator?
`boolean` | `isSubmenue()` Handelt es sich bei dem eingelesenem Menüpunkt um ein Submenue?

Methods inherited from class de.jsystems.tools.ParamString
`getBool, getCount, getDouble, getFloat, getInt, getLong, getParam, setTrennzeichen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupParamString

    public PopupParamString()

  Erzeugt ein neues ParamString-Objekt fuer Strings mit dem Aufbau eines Popup-Menues.

Method Detail

### init

    public void init(String paramString)

  Initialisiert das Objekt mit dem übergebenem Paramstring und füllt dann die einzelnen Attribute für das Popup-Menü.

  Parameters:
    `paramString` - Der String mit dem dieses Objekt initialisiert wird.
  Throws:
    `MenueParamFormatException` - wenn das Format des uebergebenen Strings falsch ist.

### clear

    protected void clear()

  Löscht den Inhalt des ParamString-Objektes. Hier werden die Inhalte aller Attribute auf ""(Leerstring) gesetzt.

### getCommand

    public String getCommand()

  Gibt den Kommandostring des ParamStrings zurueck. Dabei handelt es sich immer um das erste Attribut in einem ParamString.

  Returns:
    Das Kommando im ParamString.

### getMenueTitel

    public String getMenueTitel()

  Gibt den Namen des Menütitels zurück. Das ist der Name, der in der Titelzeile des Menüs erscheint.

  Returns:
    Der Titel des Menues.

### getMenueName

    public String getMenueName()

  Gibt den Namen des Menüpunktes zurück.

  Returns:
    der Name des Menuepunktes.

### getActionClassName

    public String getActionClassName()

  Gibt den Actionnamen des Menüpunktes zurück. Unter diesem Namen wird dann ein Actionevent erzeugt beim auswählen des Menüpunktes.

  Returns:
    der ActionName fuer den Menuepunkt.

### getPictureName

    public String getPictureName()

  Gibt den Namen eines Icons zurück, das neben dem Menüpunkt angezeigt werden soll.

  Returns:
    Der Name des Menueicons.

### isSubmenue

    public boolean isSubmenue()

  Handelt es sich bei dem eingelesenem Menüpunkt um ein Submenue?

  Returns:
    `true`, wenn der String aus der `init(String)`-Methode ein Submenue beschreibt, ansonsten `false`.

### isSeparator

    public boolean isSeparator()

  Handelt es sich bei dem eingelesenem Menüpunkt um einen Separator?

  Returns:
    `true`, wenn der String aus der `init(String)`-Methode einen Separator beschreibt, ansonsten `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD